Need some assistance with RoundCube using Postgresql 8.2

Matt Rossiter matt at rossiters.com
Fri May 25 10:04:32 CEST 2007


Well, I guess I'm answering my own question, but maybe this will be 
helpful to someone else.

It needed to find libpq.so.3, but my server actually had libpq.so.5.  I 
just made a symbolic link and it worked.

ln -s /usr/local/lib/libpq.so.5 /usr/local/lib/libpq.so.3

Matt


On Fri, 25 May 2007, Matt Rossiter wrote:

> I did find one problem, I think.
>
> If I run 'php db.inc.php' I get the following message..
>
> PHP Warning:  PHP Startup: Unable to load dynamic library 
> '/usr/local/lib/php/20060613/pgsql.so' - Shared object "libpq.so.3" not 
> found, required by "pgsql.so" in Unknown on line 0
>
> It looks like it needs libpq.so.3.  I'm trying to figure out how to install 
> this dependancy.
>
> Matt
>
>
>
> On Thu, 24 May 2007, Matt Rossiter wrote:
>
>> Hello,
>> 
>> I am trying to setup Roundcube via BSD Ports.  I'm using Apache 2.2 and 
>> PHP5. I have php5-pgsql installed and put extension=pgsql.so in my 
>> extensions.ini file
>> 
>> I believe everything has been setup correctly, but I continue to get this 
>> message here...
>> 
>> DATABASE ERROR: CONNECTION FAILED! Unable to connect to the database!
>> Please contact your server-administrator
>> 
>> I've read the posts regarding this message, but I wasn't able to find a 
>> resolution for postgresql users.
>> 
>> Could someone please offer me some suggestions?
>> 
>> Thanks
>> 
>> Matt
>> 
>> 
>
>




More information about the users mailing list